<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		/**
		 *funcion suma: 
		 *es capaz de sumar los elementos del array 
		 *el argumento es el array que va a sumar
		 *devuelve un numero entero
		 */
		function suma(argumento){
			let s=0;
			let i=0;
			for (i = 0; i < argumento.length; i++) {
				s=s+argumento[i];
			}
			return s;
		}
		/**
		 *funcion media:
		 *calcula la media de los elementos de un array
		 *recibe como argumentos un array
		 *devuelve un numero real(puede contener decimales)
		 */
		function media(argumento){
			let m=0;
			let s=0;
			s=suma(argumento);
			m=s/argumento.length;
			return m;
		}
		/*programa principal*/
		let nums=[4,8,9,10];
		let sprincipal=0;
		let mprincipal=0;
		sprincipal=suma(nums);
		mprincipal=media(nums);
		/*salida de datos*/
		document.write("suma"+sprincipal);
		document.write("media"+mprincipal);
	</script>
</head>
<body>
</body>
</html>  